import { Converter } from "showdown";

export const makeHtml = (text) => {
    const converter = new Converter({
        tasklists:true, 
        tables:true,
        requireSpaceBeforeHeadingText:true,
        simplifiedAutoLink:true,
        openLinksInNewWindow:true
    });

    let html = converter.makeHtml(text);
    if(typeof html == "string"){
        html = html.replace(/<a/g, "<a target='_blank'");
    }
    return `<span class="markdown-body">${html}</span>`;
}