import {
    Popover,
    PopoverHandler,
    PopoverContent,
    Button,
  } from "@material-tailwind/react";
   
  export function PopoverCustomAnimation({popoverHandler, popoverContent, placement}) {
    return (
      <Popover
        placement={placement}
        animate={{
          mount: { scale: 1, y: 0 },
          unmount: { scale: 0, y: 25 },
        }}
      >
        <PopoverHandler>
           {popoverHandler}
        </PopoverHandler>

        <PopoverContent
           className="w-52 bg-gray-700 border border-gray-700"
        >
           {popoverContent}
        </PopoverContent>
      </Popover>
    );
  }



