import React from 'react'
import { Router, Route } from 'preact-router';
import { NewsApp } from '../../../news/presentation/container/NewsApp';
import { AgendaApp } from '../../../agenda/presentation/container/AgendaApp';
import { BASE_URL } from '../../application/constant/common';

function App() {
    return (
        <Router>
            <Route path={"/news"} component={AgendaApp} />
            <Route path={"/agenda"} component={AgendaApp} />
        </Router>
    )
}

export default App