import { createSignal } from "../../../core/application/signal/create-signal";
import { articleCountState, articlesState, favorisState } from "./articlesState";

const states = {
    articles: articlesState,
    articleCount: articleCountState,
    favoris: favorisState
}

export const configureStates = () => createSignal(states);