import React from 'react'
import AsPdcAndPdp from '../../../core/presentation/component/AsPdcAndPdp';
import Info from '../../../profile/presentation/component/Info';


function DetailleRight({ element }) {
	return (
		<>
			<AsPdcAndPdp
				collection={element.collection}
				profilMediumImageUrl={element.profilMediumImageUrl}
				profilBannerUrl={element.profilBannerUrl}
			/>
			<div className='px-4'>
				<div className="mt-8 flex flex-col items-center">
					<h4 className="text-xl font-bold text-navy-700 dark:text-gray-200">
						{element.name}
					</h4>
				</div>
				<div className='h-[calc(100vh-330px)] overflow-y-auto overflow-x-hidden'>
					<Info
						element={element}
					/>
				</div>
			</div>
		</>
	)
}

export default DetailleRight