import StateContext from "../../../core/context/state-context";
import AppLayout from "../../../core/presentation/container/AppLayout";
import { configureStates } from "../../application/state/index"
import ListeSearch from "./ListeSearch";

export function SearchApp() {
    return (
        <>
            <StateContext.Provider value={configureStates()}>
                <AppLayout>
                    <div className="w-full sm:pl-4 sm:pr-4 md:pr-0">
                        <ListeSearch />
                    </div>
                </AppLayout>
            </StateContext.Provider>
        </>
    )
}