import atelier from "../../../core/assets/images/categories/atelier.jpg";
import competitions from "../../../core/assets/images/categories/competitions.jpg";
import concert from "../../../core/assets/images/categories/concert.png";
import concours from "../../../core/assets/images/categories/concours.jpg";
import conferences from "../../../core/assets/images/categories/conferences.jpg";
import debats from "../../../core/assets/images/categories/debats.jpg";
import exposition from "../../../core/assets/images/categories/exposition.jpg";
import festival from "../../../core/assets/images/categories/festival.jpeg";
import financement from "../../../core/assets/images/categories/financementParticip.jpg";
import foire from "../../../core/assets/images/categories/foire.jpg";
import formation from "../../../core/assets/images/categories/formation.jpg";
import manifesta from "../../../core/assets/images/categories/manifesta.png";
import marche from "../../../core/assets/images/categories/marche.png";
import projection from "../../../core/assets/images/categories/projection.jpg";
import rencontre from "../../../core/assets/images/categories/rencontre.jpg";
import reunions from "../../../core/assets/images/categories/reunions.jpg";
import stage from "../../../core/assets/images/categories/stage.jpg";
import stand from "../../../core/assets/images/categories/stand.jpg";
import spectacle from "../../../core/assets/images/categories/spectacle.jpg";
import defaultImage from "../../../core/assets/images/event.png";


export const EVENT_TYPES = [
    { value: 'workshop', label: 'Atelier', image: atelier },
    { value: 'competition', label: 'Compétition', image: competitions },
    { value: 'concert', label: 'Concert', image: concert },
    { value: 'contest', label: 'Concours', image: concours },
    { value: 'conference', label: 'Conférence', image: conferences },
    { value: 'debate', label: 'Débat', image: debats },
    { value: 'exhibition', label: 'Exposition', image: exposition },
    { value: 'festival', label: 'Festival', image: festival },
    { value: 'crowdfunding', label: 'Financement Participatif', image: financement },
    { value: 'fair', label: 'Foire', image: foire },
    { value: 'course', label: 'Formation', image: formation },
    { value: 'protest', label: 'Manifestation', image: manifesta },
    { value: 'market', label: 'Marché', image: marche },
    { value: 'film', label: 'Projection', image: projection },
    { value: 'getTogether', label: 'Rencontre', image: rencontre },
    { value: 'meeting', label: 'Réunion', image: reunions },
    { value: 'spectacle', label: 'Spectacle', image: spectacle },
    { value: 'internship', label: 'Stage', image: stage },
    { value: 'stand', label: 'Stand', image: stand },
    { value: 'others', label: 'Autres', image:  defaultImage},
];