
import { Dialog, DialogBody } from "@material-tailwind/react";

//   size => "xs" 
//   size => "sm" 
//   size => "md" 
//   size => "lg" 
//   size => "xl" 
//   size => "xxl"

function CustomDialog({size, isOpenDialog, setOpenAndCloseDialog, children}) {
   
    return ( 
       <Dialog
        open={isOpenDialog}
        size={size}
        handler={setOpenAndCloseDialog}
        className="bg-gray-800 w-screen h-screen"
       >
        
        <DialogBody>
          {children}
        </DialogBody>
        

       </Dialog>
     );
}

export default CustomDialog;