
function CircularIconButton({ icon, onClick, isSelected }) {
  const buttonClass = isSelected ? 'bg-gray-200' : 'bg-gray-200';

  return (
    <button onClick={onClick} className={`w-8 h-8 ml-1 ${buttonClass} text-black rounded-full flex items-center justify-center focus:outline-none`}>
      <i className={icon}></i>
    </button>
  );
}


export default CircularIconButton;
