export default function Reation({ reactionShow, onDataCallback }) {
    const handleButtonClick = (params) => {
        onDataCallback(params)
    };
    return (
        <>
            {reactionShow && (
                <div className="absolute p-1 -ml-10 -mt-10 w-48 flex shadow-md">
                    <i onClick={() => handleButtonClick('love')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-red-600 text-white fa-solid fa-heart p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('bothered')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-amber-800 text-white fa-solid fa-face-angry p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('scared')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-red-800 text-white fa-solid fa-face-meh-blank p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('like')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-blue-600 text-white fa-solid fa-thumbs-up p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('enjoy')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-blue-500 text-white fa-solid fa-face-smile p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('sad')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-blue-400 text-white fa-solid fa-face-sad-cry p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('support')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-blue-300 text-white fa-solid fa-hand-back-fist p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('glad')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-green-800 text-white fa-solid fa-face-grin-beam p-1 rounded-full ml-1"></i>
                    <i onClick={() => handleButtonClick('disguted')} style="--fa-animation-duration: 3.5s; --fa-beat-scale: 1.1;" className="fa-beat cursor-pointer bg-purple-600 text-white fa-solid fa-face-grimace p-1 rounded-full ml-1"></i>
                </div>
            )}
        </>
    );
}
