import StateContext from "../../../core/context/state-context";
import Navbar from "../../../core/presentation/component/Navbar";
import AppLayout from "../../../core/presentation/container/AppLayout";
import { configureStates } from "../../application/state/index"
import ProfileIndex from "./ProfileIndex";

export function ProfileApp() {

    return (
        <>
            <StateContext.Provider value={configureStates()}>
                {/* <Navbar /> */}
                <AppLayout hideDefault={"hidden"}>
                <div className="px-2 mx-auto max-w-screen-xl min-w-screen-xl flex mt-5 overflow-hidden">
                    <ProfileIndex />
                </div>
                </AppLayout>
            </StateContext.Provider>
        </>
    )
}