import axios from "axios"
import { PERSON_REGISTER } from "../constant/api-endpoints,js";
import { BASE_URL } from "../../../core/application/constant/common";

export const personRegister = (name, username, email, pwd, app, pendingUserId, mode, isInvitation) => {
    const params = new URLSearchParams();
    params.append('name', name);
    params.append('username', username);
    params.append('email', email);
    params.append('pwd', pwd);
    params.append('app', app);
    params.append('pendingUserId', pendingUserId);
    params.append('mode', mode);
    params.append('isInvitation', isInvitation);
    
    return axios.post(BASE_URL + PERSON_REGISTER, params)
}