import { defineConfig } from 'vite'
import preact from '@preact/preset-vite'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [preact()],
  optimizeDeps: {
    include: ['jquery', 'react-responsive-masonry', 'react-grid-carousel']
  },
  define: {
    'window.jQuery': 'jQuery',
    'window.$': 'jQuery',
  },
})
